digiKam Software Collection 4.6.0 released...

digikam4.6.0

Dear digiKam fans and users,

The digiKam Team is proud to announce the release of digiKam Software Collection 4.6.0. This release includes many bugs fixes in Image Editor and Batch Queue Manager. Thanks to Maik Qualmann and Jan Wolter to propose patches in KDE bugzilla.

See the new list of the issues closed in digiKam 4.6.0 available through the KDE Bugs-tracking System.

The digiKam software collection tarball can be downloaded from the KDE repository.

The next digiKam bug fix release is planed next year. The main work progress in parallel to port all implementations under Qt5/KF5 as you can see in this wiki page.

Have a Merry Christmas and an happy new year, playing with your photos using this new release.

digiKam Team...

Good Job

Thumbnails of offline collections can now be viewed: Thankyou!

Digikam: a very nice program

Hi, just to let you know I'm a great fan of digikam. I've been using it for about 4 years now.

fail to extract and compile

hi,
how to compile it?
normal process such tar -xvjf is seem just extracting it.
when i run ./configure , it said not found
please advise.
thanks

...look here...

https://www.digikam.org/download?q=download/tarball

thx to Philip Johnsson and the Digikam Team

I'm using Kubuntu 14.10 and Philip provided a ppa that works perfectly. So since yesterday i'm using 4.6 and it's a pleasure. Lense correction and RAW processing works fine. I wonder if no additional tools will be needed for me. Thanks a lot!

Good to hear that you find my

Good to hear that you find my PPA is useful. From the statistics I have about 1000 users of my Digikam packages from my PPA if anyone is curious.

There is no support for

There is no support for negatives Nikon D3300.
Thanks in advance for implementation.

Not yet...

Nikon D3300 is not yet supported by libraw library used by digiKam to decode RAW image.

Please report this problem to libraw team (http://www.libraw.org)

Nikon D3300 (also Nikon D810)

Nikon D3300 (also Nikon D810) i supported in libraw git. Either patch libraw 0.16 for support or use git code to build updated libraw. Otherwise wait for the next full upstream release of libraw. libkdcraw will also need to be rebuilt against it for Digikam (maybe digikam needs a rebuild aginst them both too) to take use of the update.

in theory no...

digiKam do not know libraw. Only libkdcraw is linked with libraw.

If libkdcraw API/ABI are unchanged, digiKam must work as well without a recompilation

Reply to comment | digiKam - Photo Management Program

ACR has added support for three new camera raw file formats: the Nikon D810, Panasonic LUMIX
AG-GH4 and Panasonic LUMIX DMC-FZ1000. On the video
end of things, there are some refinements that a
serious video shooter should appreciate. And it can effectively convert MXF and
AVCHD files to other usable formats for editing in FCP, FCE, i
- Movie, Avid MC, Adobe Premiere, Sony Vegas and other editing software.

Digikam crasches on OSX 10.10.1

Hi,

Digikam 4.6.0 is unusable on OSX 10.10.1: after a fresh install of macports and digikam that apparently ran well, drkonqi bounces for about 30' to finally generate a crash report. It's reproducible at each start.
HW config: MBP 17" mid 2010, 2.66GHz core i7, 8GB RAM, NVIDIA GeForce GT 330M 512 MB, 1TB fusiondrive.
I would have like to try it.
Regards,
Daniel

I'd be glad, if I were able

I'd be glad, if I were able to compile it. The 4.0.0 at MacPorts is broken and the current won't compile either.

digikam 4.6.0 will not build

Hi,

I try the debian way to compile digikam 4.6.0. Before this procedere I've done an apt-get build-dep digikam and then I've used the .bootstrap.linux script, apart from MySQL Database Support, which is optional, all dependencies seem to be installed.

After a dh_make -f ../digikam-4.6.0.tar.bz2 I start building procedere with dpkg-buildpackage -uc -us -j8

The compiling procedere is okay but then some tests start, 10 of 12 tests pass, but 2 tests with dimagehistory fail and the building procedere stops.

Which further packages I need to avoid this issue?

I've try it on a Debian Testing and on a Debian Unstable (siduction), on both systems I get this failing tests with dimagehistory.

Thanks for any help, kind regards,
Holger

drop tests...

You can drop tests at compilation time turn off right cmake flag at configuration time. Look README file for details

Windows version, PLEASE.

I'd like to request an updated windows build for 4.6, please.

Crash on startup

Opensuse 13.2 x64 and repo KDE Extra
At start always ends with:
digikam: symbol lookup error: digikam: undefined symbol: _ZN7KGeoMap14GeoCoordinatesC1Ev

Update libkgeomap

I had the same issue, but managed to solve it, updating package libkgeomap in Yast.

OpenSUSE Tumbleweed has the same problems

It appears to be crashing on a Canon Raw file. I have reported it as OpenSUSE bug 904446.

Works very well

I used Phillips ppa to update, this version 4.6.0 seems much more stable than previous ones.
I especially run a KDE environment (Linux Mint 17) for this tool.
Love Digikam

stable for me too

For the first time in probably a year digikam has let me import photos without crashing, from 2 devices; and the import dialog/window came up really quickly too. Seems very promising. Thanks to all devs.

Same for me. The 4.x series

Same for me. The 4.x series was a tough ride, but it was worth suffering :) 4.6 seems to be almost flawless! Good job by the digiKam team, thank you!